spring:
  application:
    name: workflowEngine
  profiles:
    active: ${NACOS_PROFILES_ACTIVE:local}
  main:
    allow-bean-definition-overriding: true
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST}:${NACOS_PORT}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID}
      discovery:
        server-addr: ${spring.cloud.nacos.config.server-addr}
        namespace: ${spring.cloud.nacos.config.namespace}
logging:
  level:
    com.alibaba.nacos.client.config.impl: WARN
    org.flowable: INFO

---
#开发环境
spring:
  config:
    activate:
      on-profile: local
  cloud:
    nacos:
      config:
        #        server-addr: ${NACOS_HOST:nacos.mybiwin.top}:${NACOS_PORT:9090}
        server-addr: ${NACOS_HOST:https://dev-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        #        namespace: ${NACOS_NAMESPACE_ID:1b5d2a22-b340-4503-8464-7d7fc2059d39}
        namespace: ${NACOS_NAMESPACE_ID:f82179f1-81a9-41a1-a489-4f9ab5660a6e}

---
#开发环境
spring:
  config:
    activate:
      on-profile: dev
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST:https://dev-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID:35eada10-9574-4db8-9fea-bc6a4960b6c7}

---
#测试环境
spring:
  config:
    activate:
      on-profile: test
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST:https://test-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID:f3c0f0d2-bac4-4498-bee7-9c3636b3afdf}

---
#预发布环境
spring:
  config:
    activate:
      on-profile: pre
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST:https://pre-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID:8b4cf725-7595-4c92-b2a6-9260a51ce078}

---
#预发布环境
spring:
  config:
    activate:
      on-profile: live
  cloud:
    nacos:
      config:
        server-addr: ${NACOS_HOST:https://live-nacos.axzo.cn}:${NACOS_PORT:443}
        file-extension: yaml
        namespace: ${NACOS_NAMESPACE_ID:64faf030-7112-45c3-9f06-a40571f685c2}
